<?php

namespace App\Http\Controllers\Admin;

use App\Http\Controllers\Controller;
use App\Models\VendorEnquiry;
use Illuminate\Http\Request;

class VendorEnquiryController extends Controller
{
    public function index()
    {
        $searchColumns = ['id', 'firstname', 'phone', 'email'];
        $search = request()->search;
        $order = request()->orderedColumn;
        $orderBy = request()->orderBy;
        $paginate = request()->paginate;
        $query = VendorEnquiry::query();
        if ($search != '') {
            $query->where(function ($q) use ($search, $searchColumns) {
                foreach ($searchColumns as $key => $value) ($key == 0) ? $q->where($value, 'LIKE', '%' . $search . '%') : $q->orWhere($value, 'LIKE', '%' . $search . '%');
            });
        }
        ($order == '') ? $query->orderByDesc('id') : $query->orderBy($order, $orderBy);
        $vendor = $paginate ? $query->paginate($paginate)->appends(request()->query()) : $query->paginate(10)->appends(request()->query());
        return view('admin.vendorenquiry.index', compact('vendor'));
    }

    public function delete($id)
    {
        $vendor = VendorEnquiry::find($id);
        $vendor->delete();
        return redirect()->back()->with('success', 'Vendor Enquiry deleted successfully');
    }
}
