<?php

namespace App\Http\Services\Helpers;

use App\Models\AdminDetails;
use App\Models\Category;
use App\Models\Tax;
use App\Models\Variant;

class Versova
{

    public static function getStatus()
    {
        return [
            ['label' => 'Active', 'value' => 1],
            ['label' => 'In-Active', 'value' => 0],
        ];
    }

    public static function upload($file, $folder)
    {
        return $file->store($folder, 'public');
    }

    public static function deleteFile($path, $storage = true)
    {
        $file = storage_path('app/public/' . $path);
        if (file_exists($file)) {
            // unlink($file);
        }
        return true;
    }

    public static function getAllCategories()
    {
        $categories = Category::where('status', 1)->tree()->get()->toTree();
        return $categories;
    }
    public static function settings()
    {
        return AdminDetails::first();
    }
    public static function getTaxes()
    {
        $taxes = Tax::where('status', true)->get();
        $formattedTaxes = [];
        foreach ($taxes as $tax) {
            $formattedTaxes[] = [
                'label' => $tax->title . ' (' . $tax->percent . '%)',
                'value' => $tax->id,
            ];
        }

        return $formattedTaxes;
    }
    public static function variants()
    {
        return Variant::with('values')->get();
    }
}
