<?php

namespace App\Mail;

use Illuminate\Bus\Queueable;
use Illuminate\Contracts\Queue\ShouldQueue;
use Illuminate\Mail\Mailable;
use Illuminate\Mail\Mailables\Content;
use Illuminate\Mail\Mailables\Envelope;
use Illuminate\Queue\SerializesModels;

class SalesOrderDiscount extends Mailable
{
    use Queueable, SerializesModels;
    public $order;
    public $discounts;


    /**
     * Create a new message instance.
     */
    public function __construct($order, $discounts)
    {
        $this->order = $order;
        $this->discounts = $discounts;
    }

    public function build()
    {
        return $this->view('mail.sales-discountupdated')
            ->subject('Order Price  Updated')
            ->with([
                'order' => $this->order,
                'discounts' => $this->discounts,
            ]);
    }
}
