<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;

class Customer extends Authenticatable
{
    use HasFactory;
    protected $fillable = [
        'customer_id',
        'company_name',
        'contact_person',
        'phone',
        'mobile',
        'email',
        'shipping_address',
        'billing_address',
        'password',
        'status'
    ];
    public function cart()
    {
        return $this->hasOne(Cart::class, 'customer_id', 'id');
    }


    public function orders()
    {
        return $this->hasMany(Order::class)->latest();
    }
    public function salescustomersrelation()
    {
        return $this->hasMany(SalesCustomerRelation::class, 'sales_id');
    }
    public function saleorders()
    {
        return $this->hasMany(SaleOrder::class)->latest();
    }
   
}
