<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;

class SalesPerson extends Authenticatable
{
    use HasFactory;
    public $table = "salespeople";
    protected $fillable = ['name', 'email', 'phone', 'address', 'password', 'conf_password', 'status'];

    public function customers()
    {
        return $this->hasMany(Customer::class, 'customer_id');
    }
    public function salescustomersrelation()
    {
        return $this->hasMany(SalesCustomerRelation::class, 'sales_id');
    }

    public function salescart()
    {
        return $this->hasOne(SalesCart::class, 'customer_id');
    }
    
}
