<?php

namespace App\Providers;

use App\Models\Page;
use Illuminate\Contracts\View\View;
use Illuminate\Pagination\Paginator;
use Illuminate\Support\ServiceProvider;

class AppServiceProvider extends ServiceProvider
{
    /**
     * Register any application services.
     */
    public function register(): void
    {
        //
    }

    /**
     * Bootstrap any application services.
     */
    public function boot(): void
    {
        Paginator::useBootstrap();

        view()->composer('frontend.layout.footer', function ($view) {
            $footerPages = Page::orderBy('position', 'asc')->get(); 
            $view->with('footerPages', $footerPages); 
        });
            

    }
}
