<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('products', function (Blueprint $table) {
            $table->id();
            $table->unsignedBigInteger('tax_id')->nullable();
            $table->string('name');
            $table->string('slug');
            $table->string('sku')->unique();
            $table->string('upc_barcode')->nullable();
            $table->string('weight')->nullable();
            $table->string('no_of_cases')->nullable();
            $table->string('unit_per_case')->nullable();
            $table->string('brand')->nullable();
            $table->boolean('is_new')->default(false);
            $table->boolean('is_best_seller')->default(false);
            $table->text('small_description');
            $table->text('description')->nullable();
            $table->double('price');
            $table->double('cost')->nullable();
            $table->double('special_price')->nullable();
            $table->date('special_price_from')->nullable();
            $table->date('special_price_to')->nullable();
            $table->boolean('status')->default(true);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('products');
    }
};
