<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::table('customers', function (Blueprint $table) {
            if (Schema::hasColumn('customers', 'company_name')) {
                $table->string('company_name')->nullable()->change();
            }
            if (Schema::hasColumn('customers', 'phone')) {
                $table->string('phone')->nullable()->change();
            }
            if (Schema::hasColumn('customers', 'password')) {
                $table->string('password')->nullable()->change();
            }

            $table->string('billing_address')->nullable();

            if (Schema::hasColumn('customers', 'fax')) {
                $table->renameColumn('fax', 'mobile');
            }

            if (Schema::hasColumn('customers', 'address')) {
                $table->renameColumn('address', 'shipping_address');
            }

            if (Schema::hasColumn('customers', 'shipping_address')) {
                $table->string('shipping_address')->change();
            }
        });
    }

    public function down(): void
    {
        Schema::table('customers', function (Blueprint $table) {
            if (Schema::hasColumn('customers', 'company_name')) {
                $table->string('company_name')->nullable(false)->change();
            }

            if (Schema::hasColumn('customers', 'billing_address')) {
                $table->dropColumn('billing_address');
            }

            if (Schema::hasColumn('customers', 'mobile')) {
                $table->renameColumn('mobile', 'fax');
            }

            if (Schema::hasColumn('customers', 'shipping_address')) {
                $table->renameColumn('shipping_address', 'address');
            }

            if (Schema::hasColumn('customers', 'address')) {
                $table->string('address')->change();
            }
        });
    }
};
