<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     */
    public function up(): void
    {
        Schema::create('sales_orders', function (Blueprint $table) {
            $table->id();
            $table->foreignId('customer_id')->constrained('customers')->onDelete('cascade');
            $table->foreignId('sales_id')->constrained('salespeople')->onDelete('cascade');
            $table->string('order_id');
            $table->string('company_name');
            $table->string('customer_name');
            $table->integer('total_product')->default(0);
            $table->double('total_amount')->default(0.00);
            $table->double('tax')->default(0.00);
            $table->double('grand_total')->default(0.00);
            $table->string('status')->default('pending');
            $table->date('delivery_date')->nullable();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     */
    public function down(): void
    {
        Schema::dropIfExists('sales_orders');
    }
};
