<x-admin-layout>
    <div class="main shadow-sm">
        <div class="container-fluid">
            <div class="row">
                <div class="page-header">
                    <div class="row">
                        <div class="col-lg-4 d-flex align-items-center ">
                            <a onclick="history.length > 1 ? history.go(-1) : window.location = window.location.origin;">
                                <i class="fas fa-chevron-left fs-5"></i>
                            </a>
                            <x-utility.additional.title title="Add Brands" />
                        </div>
                    </div>
                </div>
                <div class="col-lg-12 pb-4">
                    <div class="form-card px-3">
                        <form action="{{ route('admin.storebrands') }}" method="post" enctype="multipart/form-data">
                            @csrf
                            <div class="form-contents">
                                <div class="row mb-2">
                                    {{-- <x-utility.additional.form-title title="name" size="col-lg-12" /> --}}
                                    <x-utility.forms.input label="Name" type="text" name="name" id="name"
                                        :required="true" size="col-lg-6" :value="old('name')" class="slug" />
                                    @error('name')
                                        <span style="color: red; font-size:13px;">{{ $message }}</span>
                                    @enderror

                                    <x-utility.forms.input label="Position" type="number" name="position"
                                        oninput="this.value = this.value.replace(/\D/g, '')" id="position"
                                        :required="true" size="col-lg-6" :value="old('position')" />
                                    @error('position')
                                        <span style="color: red; font-size:13px;">{{ $message }}</span>
                                    @enderror
                                </div>


                                <div class="form-contents">
                                    <div class="row mb-2">
                                        {{-- <x-utility.additional.form-title title="Others" size="col-lg-12" /> --}}
                                        <x-utility.forms.textarea label="Description" name="description"
                                            id="description" :required="false" size="col-lg-12" :value="old('description')" />
                                        <x-utility.forms.input label="Brand Logo" type="file" name="brand_images"
                                            id="brand_images" :required="false" size="col-lg-12" :value="old('icon')"
                                            :image="true" class="multiple-images" :multiple="false" />
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-lg-12">
                                        <x-utility.forms.button type="submit" label="Add" class="submit-btn" />
                                    </div>
                                </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</x-admin-layout>
