<x-admin-layout>
    <div class="main shadow-sm">
        <div class="container-fluid">
            <div class="row">
                <div class="page-header">
                    <div class="row">
                        <div class="col-lg-4 d-flex align-items-center">
                            <a onclick="history.length > 1 ? history.go(-1) : window.location = window.location.origin;">
                                <i class="fas fa-chevron-left fs-5"></i>
                            </a>
                            <x-utility.additional.title title="Edit Brands" />
                        </div>
                    </div>
                </div>
                <div class="col-lg-12 pb-4">
                    <div class="form-card px-3">
                        <form action="{{ route('admin.updatebrands', $brands->id) }}" method="post"
                            enctype="multipart/form-data">
                            @csrf
                            @method('PUT')
                            <div class="form-contents">
                                <div class="row mb-2">
                                    <x-utility.forms.input label="Name" type="text" name="name" id="name"
                                        :required="true" size="col-lg-6" value="{{ $brands->name }}" />
                                    @error('name')
                                        <span style="color: red; font-size:13px;">{{ $message }}</span>
                                    @enderror

                                    <x-utility.forms.input label="Position" type="number" name="position"
                                        id="position" :required="true" size="col-lg-6"
                                        value="{{ $brands->position }}" />
                                    @error('position')
                                        <span style="color: red; font-size:13px;">{{ $message }}</span>
                                    @enderror
                                </div>

                                <div class="form-contents">
                                    <div class="row mb-2">
                                        <x-utility.forms.textarea label="Description" name="description"
                                            id="description" :required="false" size="col-lg-12"
                                            value="{{ $brands->description }}" />
                                        @php
                                            $status = [
                                                [
                                                    'label' => 'Active',
                                                    'value' => 1,
                                                ],
                                                [
                                                    'label' => 'In-Active',
                                                    'value' => 0,
                                                ],
                                            ];
                                        @endphp

                                        <x-utility.forms.select label="Status" :options="$status" name="status"
                                            id="status" :required="true" size="col-lg-12" :value="$brands->status" />

                                    </div>
                                    <x-utility.forms.input label="Brand images" type="file" name="brand_images"
                                        id="brand_images" :required="false" size="col-lg-12" 
                                        :image="true" class="multiple-images" :multiple="true" />
                                    <div class="col-12">
                                        <div class="images p-2">
                                            <div class="row">
                                                <div class="col-md-2 px-1">
                                                    <div class="border position-relative">
                                                        <img src="{{asset('storage/' . $brands->brand_images)}}" width="100px" height="100px"
                                                            srcset="" class="w-100">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>
                                </div>
                                <div class="row">
                                    <div class="col-lg-12">
                                        <x-utility.forms.button type="submit" label="Update" class="submit-btn" />
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</x-admin-layout>
