<x-admin-layout>
    <div class="main">
        <div class="container-fluid">
            <div class="row">
                <div class="page-header px-0">
                    <div class="row">
                        <div class="col-lg-4 d-flex align-items-center ">
                            <h3>Page List</h3>
                        </div>
                    </div>
                </div>
                <div class="col-lg-12 mt-4">
                    <div class="form-card">
                        <div class="row mb-2">
                            <div class="col-lg-5 my-auto text-end ms-auto">
                                <a href="" class="add-btn border-0 bg-info text-white">
                                    Export</a>
                                <a href="{{ route('admin.page.create') }}" class="add-btn bg-success text-white">Add
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    @php
                    $columns = [
                    ['label' => 'ID', 'column' => 'id', 'sort' => true],
                    ['label' => 'Name', 'column' => 'name', 'sort' => true],
                    ['label' => 'Slug', 'column' => 'slug', 'sort' => true],
                    ['label' => 'Position', 'column' => 'position', 'sort' => true],
                    ['label' => 'Title', 'column' => 'title', 'sort' => true],
                    ['label' => 'Actions', 'column' => 'action', 'sort' => false],
                    ];
                    @endphp

                    <x-utility.table :columns="$columns" :data="$page" :checkAll=false :route="route('admin.pages')">
                        @foreach ($page as $key => $item)
                        <tr>

                            <td>{{ $item->id }}</td>
                            <td>{{ $item->name }}</td>
                            <td>{{ $item->slug }}</td>
                            <td>{{ $item->position }}</td>
                            <td>{{ $item->title }}</td>
                            <td>
                                <div class="dropdown pop_Up dropdown_bg">
                                    <div class="dropdown-toggle" id="dropdownMenuButton-2412"
                                        data-bs-toggle="dropdown" aria-expanded="true">
                                        Action
                                    </div>
                                    <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                                        <li>
                                            <a href="{{ route('admin.page.edit', $item->id) }}" class="dropdown-item">
                                                <i class="fas fa-pencil"></i> Edit
                                            </a>
                                        </li>
                                        <li>
                                            <a onclick="return confirm('Are you sure you want to delete this?')"
                                                href="{{ route('admin.page.delete', $item->id) }}" class="dropdown-item">
                                                <i class="fas fa-trash"></i> Delete
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </td>
                        </tr>
                        @endforeach
                    </x-utility.table>
                </div>
            </div>
        </div>
    </div>
    @push('scripts')
    <script>
        $('.deleteRecord').on('click', function() {
            var id = $(this).data('id');
            if (confirm('Are you sure you want to delete this?')) {
                $(`#${id}`).submit();
            }
        });
    </script>
    @endpush
</x-admin-layout>