<x-admin-layout>
    <div class="main">
        <div class="container-fluid">
            <div class="row">
                <div class="page-header px-0">
                    <div class="row">
                        <div class="col-lg-4 d-flex align-items-center ">
                            <h3>Tax List</h3>
                        </div>
                    </div>
                </div>
                <div class="col-lg-12 mt-4">
                    <div class="form-card">
                        <div class="row mb-2">
                            <div class="col-lg-5 my-auto text-end ms-auto">

                                <a href="{{ route('admin.tax.create') }}" class="add-btn bg-success text-white">Add
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    @php
                        $columns = [
                            ['label' => 'ID', 'column' => 'id', 'sort' => true],
                            ['label' => 'Title', 'column' => 'title', 'sort' => true],
                            ['label' => 'Tax', 'column' => 'tax', 'sort' => true],
                            ['label' => 'Status', 'column' => 'status', 'sort' => true],
                            ['label' => 'Actions', 'column' => 'action', 'sort' => false],
                        ];
                    @endphp

                    <x-utility.table :columns="$columns" :data="$tax" :checkAll=true :route="route('admin.tax')">
                        @foreach ($tax as $key => $item)
                            <tr>
                                <td>
                                    <input type="checkbox" name="" class="checkinput"
                                        value="{{ $item->id }}">
                                </td>
                                <td>{{ $item->id }}</td>
                                <td>{{ $item->title }}</td>
                                <td>{{ $item->percent }}</td>
                                <td>
                                    @if ($item->status)
                                        <span class="badge rounded-pill sactive">Active</span>
                                    @else
                                        <span class="badge rounded-pill deactive">In-Active</span>
                                    @endif
                                </td>
                                <td>
                                    <div class="dropdown pop_Up dropdown_bg">
                                        <div class="dropdown-toggle" id="dropdownMenuButton-{{ $item->id }}"
                                            data-bs-toggle="dropdown" aria-expanded="true">
                                            Action
                                        </div>
                                        <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1"
                                            style="position: absolute; inset: auto auto 0px 0px; margin: 0px; transform: translate(-95px, -25.4219px);"
                                            data-popper-placement="top-end">
                                            <li>
                                                <a class="dropdown-item"
                                                    href="{{ route('admin.tax.edit',$item->id) }}">
                                                    <i class="fas fa-pencil"></i> Edit
                                                </a>
                                            </li>
                                            <li>
                                                <a class="dropdown-item"
                                                    onclick="return confirm('Are you sure to delete this?')"
                                                    href="">
                                                    <i class="fas fa-trash"></i> Delete
                                                </a>
                                            </li>
                                        </ul>
                                    </div>
                                </td>
                            </tr>
                        @endforeach
                    </x-utility.table>
                </div>
            </div>
        </div>
    </div>
    @push('scripts')
        <script>
            $('.deleteRecord').on('click', function() {
                var id = $(this).data('id');
                if (confirm('Are you sure you want to delete this?')) {
                    $(`#${id}`).submit();
                }
            });
        </script>
    @endpush

</x-admin-layout>
