<x-admin-layout>
    <div class="main shadow-sm">
        <div class="container-fluid">
            <div class="row">
                <div class="page-header">
                    <div class="row">
                        <div class="col-lg-4 d-flex align-items-center ">
                            <a onclick="history.length > 1 ? history.go(-1) : window.location = window.location.origin;">
                                <i class="fas fa-chevron-left fs-5"></i>
                            </a>
                            <x-utility.additional.title title="Add Customer" />
                        </div>
                    </div>
                </div>
                <div class="col-lg-12 pb-4">
                    <div class="form-card px-3">
                        <form action="{{ route('admin.customer.create') }}" method="POST"
                            enctype="multipart/form-data">
                            @csrf
                            <div class="form-contents">
                                <div class="row mb-2">
                                    <x-utility.additional.form-title title="General Info" size="col-lg-12" />
                                    <x-utility.forms.input label="Customer ID" type="text" name="customer_id"
                                        id="customer_id" :required="true" size="col-lg-6" :value="$newCustomerId" readonly />
                                    <x-utility.forms.input label="Company Name" type="text" name="company_name"
                                        id="company_name" :required="false" size="col-lg-6" :value="old('company_name')" />
                                    <x-utility.forms.input label="Contact Person Name" type="text"
                                        name="contact_person" id="contact_person" :required="true" size="col-lg-6"
                                        :value="old('contact_person')" />
                                    <x-utility.forms.input label="Phone" type="text" name="phone" id="phone"
                                        :required="true" size="col-lg-6" :value="old('phone')" />
                                    <x-utility.forms.input label="Mobile" type="text" name="mobile" id="mobile"
                                        :required="false" size="col-lg-6" :value="old('mobile')" />
                                    <x-utility.forms.input label="Email" type="email" name="email" id="email"
                                        :required="true" size="col-lg-6" :value="old('email')" />
                                    <x-utility.forms.textarea label="Billing Address" name="billing_address"
                                        id="billing_address" :required="true" size="col-lg-6" :value="old('billing_address')" />
                                    <x-utility.forms.textarea label="Shipping Address" name="shipping_address"
                                        id="shipping_address" :required="true" size="col-lg-6" :value="old('shipping_address')" />
                                    <x-utility.forms.input label="Password" type="password" name="password"
                                        id="password" :required="true" size="col-lg-6" :value="old('password')" />
                                    <i class="fa fa-eye-slash" id="togglePassword" aria-hidden="true"
                                        onclick="togglePasswordVisibility()"></i>
                                    <x-utility.forms.input label="Confirm Password" type="password" name="conf_password"
                                        id="conf_password" :required="true" size="col-lg-6" :value="old('conf_password')" />
                                    <i class="fa fa-eye-slash" id="togglePassword1" aria-hidden="true"
                                        onclick="togglePasswordVisibility2()"></i>
                                </div>
                            </div>
                            <div class="row">
                                <div class="col-lg-12">
                                    <x-utility.forms.button type="submit" label="Add" class="submit-btn" />
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</x-admin-layout>

<script>
    function togglePasswordVisibility() {
        var passwordField = document.getElementById("password");
        var toggleIcon = document.getElementById("togglePassword");
        if (passwordField.type === "password") {
            passwordField.type = "text";
            toggleIcon.classList.remove("fa-eye-slash");
            toggleIcon.classList.add("fa-eye");
        } else {
            passwordField.type = "password";
            toggleIcon.classList.remove("fa-eye");
            toggleIcon.classList.add("fa-eye-slash");
        }
    }

    function togglePasswordVisibility2() {
        var passwordField = document.getElementById("conf_password");
        var toggleIcon = document.getElementById("togglePassword1");
        if (passwordField.type === "password") {
            passwordField.type = "text";
            toggleIcon.classList.remove("fa-eye-slash");
            toggleIcon.classList.add("fa-eye");
        } else {
            passwordField.type = "password";
            toggleIcon.classList.remove("fa-eye");
            toggleIcon.classList.add("fa-eye-slash");
        }
    }
</script>
