<x-admin-layout>
    <div class="main shadow-sm">
        <div class="container-fluid">
            <div class="row" id="products">
                <div class="page-header">
                    <div class="row">
                        <div class="col-lg-4 d-flex align-items-center ">
                            <a onclick="history.length > 1 ? history.go(-1) : window.location = window.location.origin;">
                                <i class="fas fa-chevron-left fs-5"></i>
                            </a>
                            <x-utility.additional.title title="Add Order" />
                        </div>
                    </div>
                </div>
                <div class="col-lg-10 mx-auto">
                    <div class="form-section">
                        <form action="{{ route('admin.order.create') }}" onsubmit="return confirm('Are you sure?')"
                            method="POST" enctype="multipart/form-data">
                            @csrf
                            <div class="form-contents">
                                <div class="row mb-2">
                                    <x-utility.additional.form-title title="General details" size="col-lg-12" />
                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label>Customer</label>
                                            <select class="form-control" name="customer_id">
                                                @foreach ($customers as $customer)
                                                    <option value="{{ $customer->id }}">
                                                        {{ $customer->company_name??$customer->contact_person }}
                                                    </option>
                                                @endforeach
                                            </select>
                                            @error('customer_id')
                                                <small class="form-text text-danger">{{ $message }}</small>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label>Category</label>
                                            <select class="form-control" name="category" id="category">
                                                @foreach ($categories as $category)
                                                    <option value="{{ $category->id }}"
                                                        {{ request()->category == $category->id ? 'selected' : '' }}>
                                                        {{ $category->name }}
                                                    </option>
                                                @endforeach
                                            </select>
                                            @error('category')
                                                <small class="form-text text-danger">{{ $message }}</small>
                                            @enderror
                                        </div>
                                    </div>
                                </div>
                                <div class="row my-2 g-4">
                                    <div class="col-8">
                                        <p>Choose Product</p>
                                    </div>
                                    <div class="col-4">
                                        <input type="search" name="" id="search"
                                            placeholder="Search Product..">
                                    </div>
                                    <div class="col-12">
                                        <table id="productTable" class="bordered w-100">
                                            <thead>
                                                <tr>
                                                    <th class="border px-2 py-1">
                                                        <input type="checkbox" name="" id="main_check">
                                                    </th>
                                                    <th class="border px-2 py-1">S.No</th>
                                                    <th class="border px-2 py-1">Image</th>
                                                    <th class="border px-2 py-1">Product</th>
                                                    <th class="border px-2 py-1">Quantity On Hand</th>
                                                    <th class="border px-2 py-1">Order Quantity</th>
                                                    <th class="border px-2 py-1">Unit Price</th>
                                                    <th class="border px-2 py-1">Selling Price</th>
                                                </tr>
                                            </thead>
                                            <tbody id="prdcts">
                                                @foreach ($products as $product)
                                                    <tr>
                                                        <td class="border px-2 py-1">
                                                            <input type="checkbox" class="product-checkbox"
                                                                data-product-id="{{ $product->id }}"
                                                                data-product-name="{{ $product->name }}"
                                                                data-product-price="{{ $product->price }}">
                                                        </td>
                                                        <td class="border px-2 py-1">{{ $loop->iteration }}</td>
                                                        <td class="border px-2 py-1">
                                                            @if (count($product->images))
                                                                <img src="{{ asset($product->images[0]->image_url) }}" class="product_list_image"
                                                                >
                                                            @else
                                                                <img src="{{ asset('frontend/assets/images/cash-carry.png') }}"
                                                            class="product_list_image">
                                                            @endif
                                                        </td>
                                                        <td class="border px-2 py-1 text-capitalize">{{ $product->name }}</td>
                                                        <td class="border px-2 py-1">{{ $product->quantity_on_hand }}
                                                        </td>
                                                        <td class="border px-2 py-1">
                                                            <div class="input-group quantity-group">
                                                                <button type="button"
                                                                    class="btn btn-outline-secondary decrement-btn">-</button>
                                                                <input type="number" id="qty"
                                                                    class="form-control order-quantity" name=""
                                                                    value="1" min="1"
                                                                    max="{{ $product->quantity_on_hand }}"
                                                                    data-product-id="{{ $product->id }}">
                                                                <button type="button"
                                                                    class="btn btn-outline-secondary increment-btn">+</button>
                                                            </div>
                                                        </td>
                                                        <td class="border px-2 py-1">{{ $product->price }}</td>
                                                        <td class="border px-2 py-1">
                                                            <input type="number" name=""
                                                                id="selling-price-{{ $product->id }}"
                                                                value="{{ $product->price }}" class="form-control">
                                                        </td>
                                                    </tr>
                                                @endforeach
                                            </tbody>
                                        </table>
                                    </div>
                                    <div class="col-8">
                                        <table id="selectedProductsTable" class="w-100">
                                            <thead>
                                                <tr>
                                                    <th class="border px-2 py-1">S.no</th>
                                                    <th class="border px-2 py-1">Product</th>
                                                    <th class="border px-2 py-1">Quantity</th>
                                                    <th class="border px-2 py-1">Unit Price</th>
                                                    <th class="border px-2 py-1">Sale Price</th>
                                                    <th class="border px-2 py-1">Total Price</th>
                                                    <th class="border px-2 py-1">Action</th>
                                                </tr>
                                            </thead>
                                            <tbody>
                                                <!-- Selected products will be added here -->
                                            </tbody>
                                        </table>
                                    </div>
                                    <div class="col-4">
                                        <h4>Order Summary</h4>
                                        <table class="w-100">
                                            <tr>
                                                <td>Total Amount</td>
                                                <td id="totalAmount">$0.00</td>
                                            </tr>
                                            <tr>
                                                <td>No of Products</td>
                                                <td id="numberOfProducts">0</td>
                                            </tr>
                                            <tr>
                                                <td>Tax</td>
                                                <td id="taxAmount">$0.00</td>
                                            </tr>
                                            <tr>
                                                <td>Grand Total</td>
                                                <td id="grandTotal">$0.00</td>
                                            </tr>
                                        </table>
                                        <input type="hidden" name="total_amount" id="tot_amt">
                                        <input type="hidden" name="no_of_products" id="nop">
                                        <input type="hidden" name="tax" id="tax">
                                        <input type="hidden" name="grand_total" id="g_tot">
                                        <x-utility.forms.button type="submit" label="Create Order"
                                            class="btn btn-success w-100 mt-2" />
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
    @push('scripts')
        <script>
            $(document).ready(function() {
                $('#main_check').on('change', function() {
                    let isChecked = $(this).is(':checked');
                    $('.product-checkbox').prop('checked', isChecked).trigger('change');
                });
                // Event handler for category change
                $('#category').on('change', function() {
                    let categoryId = $(this).val();
                    $.ajax({
                        type: 'POST',
                        url: "{{ route('products.by.category') }}",
                        data: {
                            category: categoryId,
                            _token: "{{ csrf_token() }}"
                        },
                        success: function(response) {
                            $('#prdcts').html(response.html);
                        },
                        error: function(xhr, status, error) {
                            console.error(xhr.responseText);
                        }
                    });
                });
                $(document).on('input', '#search', function() {
                    var searchInput = $(this).val().trim();
                    $.ajax({
                        type: 'POST',
                        url: "{{ route('products.by.category') }}",
                        data: {
                            search: searchInput,
                            _token: "{{ csrf_token() }}"
                        },
                        success: function(response) {
                            $('#prdcts').html(response.html);
                        },
                        error: function(xhr, status, error) {
                            console.error(xhr.responseText);
                        }
                    });
                });

                // Event delegation for checkbox changes
                $(document).ready(function() {
                    var items = [];

                    // Initialize items array if needed (e.g., from server or pre-selected items)
                    // Example: items = [{ id: 1, name: "Product 1", price: 100, qty: 2 }, ...];

                    // Pre-check items on page load
                    items.forEach(item => {
                        let productId = item.id;
                        $(`.product-checkbox[data-product-id="${productId}"]`).prop('checked', true);
                        $(`#qty[data-product-id="${productId}"]`).val(item.qty);
                        addItemToTable(item);
                    });

                    // Event delegation for checkbox change
                    $(document).on('change', '.product-checkbox', function() {
                        let productId = $(this).data('product-id');
                        let productName = $(this).data('product-name');
                        let productPrice = parseFloat($(this).data('product-price'));
                        let quantity = $(`#qty[data-product-id="${productId}"]`).val();
                        let isChecked = $(this).is(':checked');

                        if (isChecked) {
                            if (!items.some(item => item.id === productId)) {
                                let newItem = {
                                    id: productId,
                                    name: productName,
                                    price: productPrice,
                                    qty: quantity,
                                };
                                items.push(newItem);
                                addItemToTable(newItem);
                            }
                        } else {
                            items = items.filter(item => item.id !== productId);
                            $(`#product-${productId}`).remove();
                        }

                        updateSummary();
                    });

                    // Function to add item to the table
                    function addItemToTable(item) {
                        let productId = item.id;
                        let productName = item.name;
                        let productPrice = item.price;
                        let quantity = item.qty;

                        let itemList = `
        <tr id="product-${productId}">
            <input type="hidden" name="product_id[]" value="${productId}">
            <td class="border px-2 py-1">${$('#selectedProductsTable tbody tr').length + 1}</td>
            <td class="border px-2 py-1">${productName}</td>
            <td class="border px-2 py-1">
                <input type="number" class="form-control order-quantity" id="quantity-${productId}" name="quantity[]" value="${quantity}" min="1" max="999" data-product-id="${productId}" data-product-price="${productPrice}">
            </td>
            <td class="border px-2 py-1">${productPrice}</td>
            <td class="border px-2 py-1"><input type="number" class="selling-price form-control" name="selling_price[]" value="${productPrice}" data-product-id="${productId}"></td>
            <td class="border px-2 py-1"><input type="number" class="selling-price form-control" id="total-price-${productId}" name="tot_price[]" value="${(quantity * productPrice).toFixed(2)}" data-product-id="${productId}"></td>
            <td class="border px-2 py-1">
                <a class="remove-product-btn" data-product-id="${productId}"><i class="far fa-trash-alt"></i></a>
            </td>
        </tr>`;
                        $('#selectedProductsTable tbody').append(itemList);
                    }

                    // Event delegation for remove button click
                    $(document).on('click', '.remove-product-btn', function() {
                        let productId = $(this).data('product-id');
                        items = items.filter(item => item.id !== productId);
                        $(`#product-${productId}`).remove();
                        $(`.product-checkbox[data-product-id="${productId}"]`).prop('checked', false);
                        updateSummary();
                    });

                    // Event delegation for quantity and selling price changes
                    $(document).on('input', '.order-quantity, .selling-price', function() {
                        let productId = $(this).data('product-id');
                        let quantity = parseInt($(`.order-quantity[data-product-id="${productId}"]`)
                            .val());
                        let sellingPrice = parseFloat($(
                            `.selling-price[data-product-id="${productId}"]`).val());
                        let totalPrice = quantity * sellingPrice;

                        $(`#total-price-${productId}`).val(totalPrice.toFixed(2));
                        $(`#quantity-${productId}`).val(quantity);

                        updateItemInArray(productId, quantity, sellingPrice);
                        updateSummary();
                    });

                    // Function to update item in the items array
                    function updateItemInArray(productId, quantity, sellingPrice) {
                        let item = items.find(item => item.id === productId);
                        if (item) {
                            item.qty = quantity;
                            item.price = sellingPrice;
                        }
                    }

                    // Event delegation for increment and decrement buttons
                    $(document).on('click', '.increment-btn', function() {
                        let quantityInput = $(this).closest('.quantity-group').find('.order-quantity');
                        let currentQuantity = parseInt(quantityInput.val());
                        let maxQuantity = parseInt(quantityInput.attr('max'));

                        if (currentQuantity < maxQuantity) {
                            quantityInput.val(currentQuantity + 1);
                            quantityInput.trigger('input');
                        }
                    });

                    $(document).on('click', '.decrement-btn', function() {
                        let quantityInput = $(this).closest('.quantity-group').find('.order-quantity');
                        let currentQuantity = parseInt(quantityInput.val());

                        if (currentQuantity > 1) {
                            quantityInput.val(currentQuantity - 1);
                            quantityInput.trigger('input');
                        }
                    });

                    // Function to update order summary
                    function updateSummary() {
                        let totalAmount = 0;
                        let numberOfProducts = $('#selectedProductsTable tbody tr').length;

                        $('#selectedProductsTable tbody tr').each(function() {
                            let productId = $(this).find('.order-quantity').data('product-id');
                            let quantity = parseInt($(`.order-quantity[data-product-id="${productId}"]`)
                                .val());
                            let sellingPrice = parseFloat($(
                                `.selling-price[data-product-id="${productId}"]`).val());
                            totalAmount += quantity * sellingPrice;
                        });

                        let tax = totalAmount * 0; // Adjust tax rate as needed
                        let grandTotal = totalAmount + tax;

                        $('#totalAmount').text(`$${totalAmount.toFixed(2)}`);
                        $('#numberOfProducts').text(numberOfProducts);
                        $('#taxAmount').text(`$${tax.toFixed(2)}`);
                        $('#grandTotal').text(`$${grandTotal.toFixed(2)}`);
                        $('#tot_amt').val(totalAmount.toFixed(2));
                        $('#nop').val(numberOfProducts);
                        $('#tax').val(tax.toFixed(2));
                        $('#g_tot').val(grandTotal.toFixed(2));
                    }
                });
            });
        </script>
    @endpush
</x-admin-layout>
