<x-admin-layout>
    <div class="main shadow-sm">
        <div class="container-fluid">
            <div class="row" id="products">
                <div class="page-header">
                    <div class="row">
                        <div class="col-lg-4 d-flex align-items-center ">
                            <a onclick="history.length > 1 ? history.go(-1) : window.location = window.location.origin;">
                                <i class="fas fa-chevron-left fs-5"></i>
                            </a>
                            <x-utility.additional.title title="Add Product" />
                        </div>
                    </div>
                </div>
                <div class="col-lg-10 mx-auto">
                    <div class="form-section">
                        <form method="POST" action="{{ route('admin.product.create') }}" enctype="multipart/form-data">
                            @csrf
                            <div class="form-contents">
                                <div class="row my-2">
                                    <x-utility.additional.form-title title="Select categories" size="col-lg-12" />

                                    <x-utility.category.products.tree size="col-lg-12" :all="\App\Http\Services\Helpers\Versova::getAllCategories()" />

                                    <div class="col-lg-12">
                                        @if ($errors->has('category_id.*'))
                                            <small
                                                class="form-text text-danger">{{ $errors->first('category_id.*') }}</small>
                                        @endif
                                    </div>
                                </div>
                            </div>

                            <div class="form-contents">
                                <div class="row mb-2">
                                    <x-utility.additional.form-title title="General details" size="col-lg-12" />
                                    <x-utility.forms.input label="Name" type="text" name="name" id="name"
                                        :required="true" size="col-lg-4" :value="old('name')" class="slug" />

                                    <x-utility.forms.input label="SKU" type="text" name="sku" id="sku"
                                        :required="true" size="col-lg-4" :value="old('sku')" />
                                    <x-utility.forms.input label="UPC Barcode" type="text" name="upc_barcode"
                                        id="upc_barcode" :required="false" size="col-lg-4" :value="old('upc_barcode')" />

                                    <div class="col-lg-4">
                                        <div class="form-group">
                                            <label>Brands</label>
                                            <select class="form-control" name="brand" size="col-lg-4">
                                                <option value="">Select</option>
                                                @foreach ($brands as $option)
                                                    <option value="{{ $option->id }}">
                                                        {{ $option->name }}
                                                    </option>
                                                @endforeach
                                            </select>
                                            @error('brand')
                                                <small class="form-text text-danger">{{ $message }}</small>
                                            @enderror
                                        </div>
                                    </div>


                                    {{-- <x-utility.forms.input label="Url key" type="text" name="url_key" id="slug"
                                        :required="true" size="col-lg-4" :value="old('url_key')" /> --}}

                                    {{-- <div class="col-lg-6">
                                        <div class="form-group">
                                            <label>Brand</label>
                                            <select class="form-control" name="brand">
                                                <option value="">Select</option>
                                                @foreach ($brands as $option)
                                                    <option value="{{ $option->id }}">
                                                        {{ $option->name }}
                                                    </option>
                                                @endforeach
                                            </select>
                                            @error('brand')
                                                <small class="form-text text-danger">{{ $message }}</small>
                                            @enderror
                                        </div>
                                    </div>
                                    <div class="col-lg-6">
                                        <div class="form-group">
                                            <label>Tax</label>
                                            <select class="form-control" name="tax_id">
                                                <option value="">Select</option>
                                                @foreach ($taxes as $option)
                                                    <option value="{{ $option->id }}">
                                                        {{ $option->title }}
                                                    </option>
                                                @endforeach
                                            </select>
                                            @error('tax_id')
                                                <small class="form-text text-danger">{{ $message }}</small>
                                            @enderror
                                        </div>
                                    </div> --}}
                                    {{-- <div class="col-lg-6">
                                        <div class="form-group">
                                            <label>Product Weight Type</label>
                                            <select class="form-control" name="weight_type">
                                                <option value="">Select</option>
                                                @foreach ($units as $unit)
                                                    <option>{{ $unit->name }}</option>
                                                @endforeach
                                            </select>
                                            @error('weight_type')
                                                <small class="form-text text-danger">{{ $message }}</small>
                                            @enderror
                                        </div>
                                    </div> --}}
                                    <x-utility.forms.input label="Weight" type="text" name="weight"
                                        :required="false" size="col-lg-4" :value="old('weight')" />
                                    <x-utility.forms.input label="No of Cases" type="number" name="no_of_cases"
                                        :required="false" size="col-lg-4" :value="old('no_of_cases')" />
                                    <x-utility.forms.input label="Unit per Case" type="number" name="unit_per_case"
                                        :required="false" size="col-lg-4" :value="old('unit_per_case')" />
                                    <x-utility.forms.select label="Tax" :options="\App\Http\Services\Helpers\Versova::getTaxes()" name="tax_id"
                                        id="tax" :required="true" size="col-lg-4" :value="old('tax_id')" />
                                    <x-utility.forms.switch label="Best seller" name="is_best_seller"
                                        id="is_best_seller" size="col-lg-12" :value="1" />
                                    <x-utility.forms.switch label="New Product" name="is_new" id="is_new"
                                        size="col-lg-12" :value="1" />
                                </div>
                            </div>


                            <div class="form-contents">
                                <div class="row mb-2">
                                    <x-utility.additional.form-title title="Product details" size="col-lg-12" />

                                    <x-utility.forms.input label="Small description" type="text"
                                        name="small_description" id="small_description" :required="true"
                                        size="col-lg-12" :value="old('small_description')" />

                                    <x-utility.forms.textarea label="Description" name="description" id="description"
                                        :required="false" size="col-lg-12 mt-3" value="{!! old('description') !!}" />

                                </div>
                            </div>

                            <div class="form-contents">
                                <div class="row mb-2">
                                    <x-utility.additional.form-title title="Price details" size="col-lg-12" />

                                    <x-utility.forms.input label="Price" type="number" name="price" id="price"
                                        :required="true" size="col-lg-4" :value="old('price')" class="number" />

                                    <x-utility.forms.input label="Cost" type="number" name="cost" id="cost"
                                        :required="false" size="col-lg-4" :value="old('cost')" class="number" />

                                    <x-utility.forms.input label="Special price" type="number" name="special_price"
                                        id="special_price" :required="false" size="col-lg-4" :value="old('special_price')"
                                        class="number" />

                                    <x-utility.forms.input label="Special price from" type="date"
                                        name="special_price_from" id="special_price_from" :required="false"
                                        size="col-lg-6" :value="old('special_price_from')" />

                                    <x-utility.forms.input label="Special price to" type="date"
                                        name="special_price_to" id="special_price_to" :required="false"
                                        size="col-lg-6" :value="old('special_price_to')" />

                                </div>
                            </div>
                            <div class="form-contents">
                                <div class="row mb-2">
                                    <x-utility.additional.form-title title="Product variant" size="col-lg-12" />
                                    <div class="col-lg-12">
                                        <product-variant :all_variants="{{ \App\Http\Services\Helpers\Versova::variants() }}" />
                                    </div>
                                </div>
                            </div>

                            <div class="form-contents">
                                <div class="row mb-2">
                                    <x-utility.additional.form-title title="Inventory" size="col-lg-12" />

                                    <x-utility.forms.input label="Quantity On Hand" type="number"
                                        name="quantity_on_hand" id="quantity_on_hand" :required="true"
                                        size="col-lg-6" :value="old('quantity_on_hand')" class="number" />
                                    <x-utility.forms.input label="Default" type="number" name="default"
                                        id="default" :required="true" size="col-lg-6" :value="old('default')"
                                        class="number" />
                                </div>
                            </div>

                            <x-utility.additional.seo-form />

                            <div class="form-contents">
                                <div class="row mb-2">
                                    <x-utility.forms.select label="Status" :options="\App\Http\Services\Helpers\Versova::getStatus()" name="status"
                                        id="status" :required="true" size="col-lg-6" :value="old('status')" />
                                    <x-utility.forms.input label="Thumbnail" type="file" name="thumbnail"
                                        id="thumbnail" :required="false" size="col-lg-6" :value="old('thumbnail')"
                                        :image="true" class="image-file" />
                                    <x-utility.additional.form-title title="Product images" size="col-lg-12" />
                                    <x-utility.forms.input label="Product images" type="file"
                                        name="product_images[]" id="product_images" :required="false"
                                        size="col-lg-12" :value="old('icon')" :image="true" class="multiple-images"
                                        :multiple="true" />
                                </div>
                            </div>


                            <div class="row">
                                <div class="col-lg-12">
                                    <x-utility.forms.button type="submit" label="Add" class="submit-btn" />
                                </div>
                            </div>
                        </form>

                    </div>
                </div>
            </div>
        </div>
    </div>
</x-admin-layout>
