<x-admin-layout>
    <div class="main">
        <div class="container-fluid">
            <div class="row">
                <div class="page-header px-0">
                    <div class="row">
                        <div class="col-lg-4 d-flex align-items-center ">
                            <h3>Sales Order List</h3>
                        </div>
                    </div>
                </div>
                <div class="col-lg-12 mt-4">
                    <div class="form-card">
                        <div class="row mb-2">
                            <div class="col-lg-5 my-auto text-end ms-auto">
                                <a href="{{route('admin.salesorders.export')}}" class="add-btn border-0 bg-info text-white">
                                    Export</a>
                                {{-- <a href="{{ route('admin.order.create') }}" class="add-btn bg-success text-white">
                                Add
                                </a> --}}
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    @php
                    $columns = [
                    ['label' => 'ID', 'column' => 'id', 'sort' => true],
                    ['label' => 'Image', 'column' => 'image', 'sort' => false],
                    ['label' => 'Company Name', 'column' => 'company_name', 'sort' => true],
                    ['label' => 'Customer Name', 'column' => 'customer_name', 'sort' => true],
                    ['label' => 'Sales Person Name', 'column' => 'sales_id', 'sort' => true],
                    ['label' => 'Total Product', 'column' => 'email', 'sort' => true],
                    ['label' => 'Total Amount', 'column' => 'status', 'sort' => true],
                    ['label' => 'Tax', 'column' => 'status', 'sort' => true],
                    ['label' => 'Grand Total', 'column' => 'status', 'sort' => true],
                    ['label' => 'Actions', 'column' => 'action', 'sort' => false],
                    ];
                    @endphp

                    <x-utility.table :columns="$columns" :data="$orders" :checkAll=true :route="route('admin.salesorders')">
                        @foreach ($orders as $key => $item)
                        <tr>
                            <td>
                                <input type="checkbox" name="" class="checkinput"
                                    value="{{ $item->id }}">
                            </td>
                            <td>{{ $item->id }}</td>
                            <td>
                                @if ($item->saleitems->isNotEmpty() && $item->saleitems[0]->saleproduct && $item->saleitems[0]->saleproduct->images->isNotEmpty())
                                <img src="{{ asset($item->saleitems[0]->saleproduct->images[0]->image_url) }}"
                                    width="150px" height="100px">
                                @else
                                <img src="{{ asset('frontend/assets/images/cash-carry.png') }}"
                                    class="img-fluid product-thumb">
                                @endif
                            </td>

                            <td>{{ $item->company_name }}</td>
                            <td>{{ $item->customer_name }}</td>
                            <td>{{ $item->salesperson->name ?? 'N/A' }}</td>
                            <td>{{ $item->total_product }}</td>
                            <td>{{ number_format($item->total_amount,2) }}</td>
                            <td>{{ number_format($item->tax,2) }}</td>
                            <td>{{ number_format($item->grand_total,2) }}</td>
                            {{-- <td>{{$item->products->count()}}</td> --}}
                            <td>
                                <div class="dropdown pop_Up dropdown_bg">
                                    <div class="dropdown-toggle" id="dropdownMenuButton-2412" data-bs-toggle="dropdown"
                                        aria-expanded="true">
                                        Action
                                    </div>
                                    <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                                        <li>
                                            <a href="{{ route('admin.salesorders.details', $item->id) }}" class="dropdown-item">
                                                <i class="far fa-eye"></i>
                                                View Details
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                            </td>
                        </tr>
                        @endforeach
                    </x-utility.table>
                </div>
            </div>
        </div>
    </div>
    @push('scripts')
    <script>
        $('.deleteRecord').on('click', function() {
            var id = $(this).data('id');
            if (confirm('Are you sure you want to delete this?')) {
                $(`#${id}`).submit();
            }
        });
    </script>
    @endpush
</x-admin-layout>