    <x-admin-layout>
        <div class="main shadow-sm">
            <div class="container-fluid">
                <div class="row">
                    <div class="page-header">
                        <div class="row">
                            <div class="col-lg-4 d-flex align-items-center ">
                                <a
                                    onclick="history.length > 1 ? history.go(-1) : window.location = window.location.origin;">
                                    <i class="fas fa-chevron-left fs-5"></i>
                                </a>
                                <x-utility.additional.title title="Add Sales Person" />
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-12 pb-6">
                        <div class="form-card px-3">
                            <form action="{{ route('admin.salesperson.create') }}" method="POST"
                                enctype="multipart/form-data">
                                @csrf
                                <div class="form-contents">
                                    <div class="row mb-2">
                                        <x-utility.forms.input label="Name" type="text" name="name"
                                            id="name" size="col-lg-6" :value="old('name')" class="slug"
                                            :required="true" />
                                        <x-utility.forms.input label="Phone" type="text" name="phone"
                                            id="phone" size="col-lg-6" :value="old('phone')" :required="true" />
                                        <x-utility.forms.input label="Address" type="text" name="address"
                                            id="address" size="col-lg-6" :value="old('address')" :required="true" />

                                        <x-utility.forms.input label="Email" type="text" name="email"
                                            id="email" size="col-lg-6" :value="old('email')" :required="true" />

                                        <x-utility.forms.input label="Password" type="password" name="password"
                                            id="password" size="col-lg-6" :value="old('password')" :required="true" />
                                        <i class="fa fa-eye-slash" id="togglePassword" aria-hidden="true"
                                            onclick="togglePasswordVisibility()"></i>

                                        <x-utility.forms.input label="Confirm Password" type="password"
                                            name="conf_password" id="conf_password" :required="true" size="col-lg-6"
                                            :value="old('conf_password')" />
                                        <i class="fa fa-eye-slash" id="togglePassword1" aria-hidden="true"
                                            onclick="togglePasswordVisibility1()"></i>
                                        <div class="mt-4">
                                            <div class="mt-4">
                                                <!-- Search Input -->
                                                <div class="mb-3">
                                                    <div class="d-flex justify-content-end mb-3">
                                                        <div class="col-3">
                                                            <input type="text" id="customerSearch" class="form-control" placeholder="Search customers...">
                                                        </div>
                                                    </div>                                                    
                                                </div>
                                                <!-- Checkboxes Section -->
                                                <div id="customerContainer">
                                                    <div class="row">
                                                        @foreach ($customer as $index => $customers)
                                                            <div class="col-md-4 customer-item">
                                                                <div class="form-check">
                                                                    <input class="form-check-input" type="checkbox"
                                                                        value="{{ $customers->id }}"
                                                                        id="namecheck_{{ $customers->id }}"
                                                                        name="namecheck[]">
                                                                    <label class="form-check-label"
                                                                        for="namecheck_{{ $customers->id }}">
                                                                        {{ $customers->contact_person }}
                                                                    </label>
                                                                </div>
                                                            </div>

                                                            @if (($index + 1) % 3 == 0)
                                                    </div>
                                                    <div class="row">
                                                        @endif
                                                        @endforeach
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                    </div>

                                    {{-- <x-utility.additional.seo-form /> --}}

                                    {{-- <div class="form-contents">
                                    <div class="row mb-2">
                                        <x-utility.additional.form-title title="Others" size="col-lg-12" />
                                        <x-utility.forms.textarea label="Description" name="description" id="description"
                                            :required="false" size="col-lg-12" :value="old('description')" />
    
                                        <x-utility.forms.input label="Icon" type="file" name="icon" id="icon"
                                            :required="false" size="col-lg-6" :value="old('icon')" :image="true"
                                            class="image-file" />
    
                                        <x-utility.forms.input label="Image" type="file" name="image" id="image"
                                            :required="false" size="col-lg-6" :value="old('image')" :image="true"
                                            class="image-file" />
                                    </div>
                                </div> --}}
                                    <div class="row">
                                        <div class="col-lg-12">
                                            <x-utility.forms.button type="submit" label="Add" class="submit-btn" />
                                        </div>
                                    </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>

        <script>
            function togglePasswordVisibility() {
                var passwordField = document.getElementById("password");
                var toggleIcon = document.getElementById("togglePassword");
                if (passwordField.type === "password") {
                    passwordField.type = "text";
                    toggleIcon.classList.remove("fa-eye-slash");
                    toggleIcon.classList.add("fa-eye");
                } else {
                    passwordField.type = "password";
                    toggleIcon.classList.remove("fa-eye");
                    toggleIcon.classList.add("fa-eye-slash");
                }
            }

            function togglePasswordVisibility1() {
                var passwordField = document.getElementById("confirm_password");
                var toggleIcon = document.getElementById("togglePassword1");
                if (passwordField.type === "password") {
                    passwordField.type = "text";
                    toggleIcon.classList.remove("fa-eye-slash");
                    toggleIcon.classList.add("fa-eye");
                } else {
                    passwordField.type = "password";
                    toggleIcon.classList.remove("fa-eye");
                    toggleIcon.classList.add("fa-eye-slash");
                }
            }
        </script>
        <script>
            document.getElementById('customerSearch').addEventListener('input', function() {
                const searchValue = this.value.toLowerCase();
                const customerItems = document.querySelectorAll('.customer-item');

                customerItems.forEach(function(item) {
                    const label = item.querySelector('.form-check-label').textContent.toLowerCase();
                    if (label.includes(searchValue)) {
                        item.style.display = 'block';
                    } else {
                        item.style.display = 'none';
                    }
                });
            });
        </script>

    </x-admin-layout>
