<x-admin-layout>
    <div class="main">
        <div class="container-fluid">
            <div class="row">
                <div class="page-header px-0">
                    <div class="row">
                        <div class="col-lg-4 d-flex align-items-center ">
                            <h3>Sales Person List</h3>
                        </div>
                    </div>
                </div>
                <div class="col-lg-12 mt-4">
                    <div class="form-card">
                        <div class="row mb-2">
                            <div class="col-lg-5 my-auto text-end ms-auto">
                                {{-- <a href="{{ route('admin.customer.export') }}"
                                class="add-btn border-0 bg-info text-white">
                                Export</a> --}}
                                <a href="{{ route('admin.salesperson.create') }}" class="add-btn bg-success text-white">
                                    Add
                                </a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-12">
                    @php
                    $columns = [
                    ['label' => 'ID', 'column' => 'id', 'sort' => true],
                    ['label' => 'Name', 'column' => 'name', 'sort' => true],
                    ['label' => 'Email', 'column' => 'email', 'sort' => true],
                    ['label' => 'Status', 'column' => 'status', 'sort' => true],
                    ['label' => 'Actions', 'column' => 'action', 'sort' => false],
                    ];
                    @endphp

                    <x-utility.table :columns="$columns" :data="$salesperson" :checkAll=true :route="route('admin.salesperson')">
                        @foreach ($salesperson as $key => $item)
                        <tr>
                            <td>
                                <input type="checkbox" name="" class="checkinput" value="{{ $item->id }}">
                            </td>
                            <td>{{ $item->id }}</td>
                            <td>{{ $item->name }}</td>
                            <td>{{ $item->email }}</td>
                            <td>
                                @if ($item->status)
                                <span class="badge rounded-pill sactive">Active</span>
                                @else
                                <span class="badge rounded-pill deactive">In-Active</span>
                                @endif
                            </td>
                            {{-- <td>{{$item->products->count()}}</td> --}}
                            <td>
                                {{-- <a href="{{ route('admin.customer.edit', $item->id) }}"><i class="fas fa-edit"
                                    aria-hidden="true"></i></a>
                                <a onclick="return confirm('Are you sure you want to delete this?')"
                                    href="{{ route('admin.customer.delete', $item->id) }}"><i class="fa fa-trash"
                                        aria-hidden="true"></i></a> --}}
                                <div class="dropdown pop_Up dropdown_bg">
                                    <div class="dropdown-toggle" id="dropdownMenuButton-2412"
                                        data-bs-toggle="dropdown" aria-expanded="true">
                                        Action
                                    </div>
                                    <ul class="dropdown-menu" aria-labelledby="dropdownMenuButton1">
                                        <li>
                                            <form action="{{ route('admin.salesperson.updateStatus', $item->id) }}"
                                                method="POST" style="display: inline;">
                                                @csrf
                                                <input type="hidden" name="status" value="1">
                                                <button type="submit" class="dropdown-item"
                                                    style="cursor: pointer;">
                                                    <i class="fas fa-check-circle"></i> Active
                                                </button>
                                            </form>
                                        </li>
                                        <li>
                                            <form action="{{ route('admin.salesperson.updateStatus', $item->id) }}"
                                                method="POST" style="display: inline;">
                                                @csrf
                                                <input type="hidden" name="status" value="0">
                                                <button type="submit" class="dropdown-item"
                                                    style="cursor: pointer;">
                                                    <i class="fas fa-file-exclamation"></i> Inactive
                                                </button>
                                            </form>
                                        </li>
                                        <li>
                                            <a onclick="return confirm('Are you sure you want to delete this?')"
                                                href="{{ route('admin.salesperson.delete', $item->id) }}"
                                                class="dropdown-item" style="cursor: pointer;">
                                                <i class="fas fa-trash"></i>Delete
                                            </a>
                                        </li>
                                        <li>
                                            <a class="dropdown-item"
                                                href="{{ route('admin.salesperson.edit', $item->id) }}"
                                                style="cursor: pointer;">
                                                <i class="fas fa-pencil"></i> Edit
                                            </a>
                                        </li>
                                    </ul>
                                </div>
                                <!-- <div class="d-flex action-buttons">
                                        <a href="{{ route('admin.salesperson.edit', $item->id) }}" data-toggle="tooltip" data-placement="top" title="Edit">
                                            <i class="fal fa-pencil"></i>
                                        </a>
                                        <form action="{{ route('admin.salesperson.updateStatus', $item->id) }}"
                                            method="POST" style="display: inline;">
                                            @csrf
                                            <input type="hidden" name="status" value="1">
                                            <button type="submit" data-toggle="tooltip" data-placement="top" title="Active">
                                                <i class="far fa-check-circle"></i>
                                            </button>
                                        </form>
                                        <form action="{{ route('admin.salesperson.updateStatus', $item->id) }}"
                                            method="POST" style="display: inline;">
                                            @csrf
                                            <input type="hidden" name="status" value="0">
                                            <button type="submit" data-toggle="tooltip" data-placement="top" title="In-Active">
                                                <i class="far fa-times-circle"></i>
                                            </button>
                                        </form>
                                        <a onclick="return confirm('Are you sure you want to delete this?')" data-toggle="tooltip" data-placement="top" title="Delete"
                                            href="{{ route('admin.salesperson.delete', $item->id) }}" class="delete">
                                            <i class="far fa-trash"></i>
                                        </a>
                                    </div> -->
                            </td>
                        </tr>
                        @endforeach
                    </x-utility.table>
                </div>
            </div>
        </div>
    </div>
    @push('scripts')
    <script>
        $('.deleteRecord').on('click', function() {
            var id = $(this).data('id');
            if (confirm('Are you sure you want to delete this?')) {
                $(`#${id}`).submit();
            }
        });
    </script>
    @endpush
</x-admin-layout>