<x-admin-layout>
    <div class="main shadow-sm">
        <div class="container-fluid">
            <div class="row">
                <div class="page-header">
                    <div class="row">
                        <div class="col-lg-4 d-flex align-items-center ">
                            <a onclick="history.length > 1 ? history.go(-1) : window.location = window.location.origin;">
                                <i class="fas fa-chevron-left fs-5"></i>
                            </a>
                            <x-utility.additional.title title="Update Super Admin" />
                        </div>
                    </div>
                </div>
                <div class="col-lg-12 pb-6">
                    <div class="form-card px-3">
                        <form action="{{ route('admin.superadmin.update', $superadmin->id) }}" method="POST"
                            enctype="multipart/form-data">
                            {{ csrf_field() }}
                            @method('PUT')

                            <input type="hidden" name="superadmin_id" value="{{ $superadmin->id }}">
                            <div class="form-contents">
                                <div class="row mb-2">
                                    {{-- <x-utility.additional.form-title title="General Info" size="col-lg-12" /> --}}
                                    <x-utility.forms.input label="Name" type="text" name="name" id="name"
                                        size="col-lg-6" :value="$superadmin->name" class="slug" />

                                    <x-utility.forms.input label="Email" type="text" name="email" id="email"
                                        size="col-lg-6" :value="$superadmin->email" class="slug" />

                                    <x-utility.forms.input label="Password" type="password" name="password"
                                        id="password" size="col-lg-6" :value="old('password')" />
                                    <i class="fa fa-eye-slash" id="togglePassword" aria-hidden="true"
                                        onclick="togglePasswordVisibility()"></i>



                                    <x-utility.forms.input label="Confirm Password" type="password"
                                        name="confirm_password" id="confirm_password" size="col-lg-6"
                                        :value="old('confirm_password')" />
                                    <i class="fa fa-eye-slash" id="togglePassword1" aria-hidden="true"
                                        onclick="togglePasswordVisibility1()"></i>

                                    @php
                                        $status = [
                                            [
                                                'label' => 'Active',
                                                'value' => 1,
                                            ],
                                            [
                                                'label' => 'In-Active',
                                                'value' => 0,
                                            ],
                                        ];
                                    @endphp
                                    <x-utility.forms.select label="Status" :options="$status" name="status"
                                        id="status" size="col-lg-6" :value="$superadmin->status" class="slug" />

                                </div>
                            </div>

                            {{-- <x-utility.additional.seo-form /> --}}

                            {{-- <div class="form-contents">
                                <div class="row mb-2">
                                    <x-utility.additional.form-title title="Others" size="col-lg-12" />
                                    <x-utility.forms.textarea label="Description" name="description" id="description"
                                        :required="false" size="col-lg-12" :value="old('description')" />

                                    <x-utility.forms.input label="Icon" type="file" name="icon" id="icon"
                                        :required="false" size="col-lg-6" :value="old('icon')" :image="true"
                                        class="image-file" />

                                    <x-utility.forms.input label="Image" type="file" name="image" id="image"
                                        :required="false" size="col-lg-6" :value="old('image')" :image="true"
                                        class="image-file" />
                                </div>
                            </div> --}}
                            <div class="row">
                                <div class="col-lg-12">
                                    <x-utility.forms.button type="submit" label="Update" class="submit-btn" />
                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
</x-admin-layout>

<script>
    function togglePasswordVisibility() {
        var passwordField = document.getElementById("password");
        var toggleIcon = document.getElementById("togglePassword");
        if (passwordField.type === "password") {
            passwordField.type = "text";
            toggleIcon.classList.remove("fa-eye-slash");
            toggleIcon.classList.add("fa-eye");
        } else {
            passwordField.type = "password";
            toggleIcon.classList.remove("fa-eye");
            toggleIcon.classList.add("fa-eye-slash");
        }


    }

    function togglePasswordVisibility1() {
        var passwordField = document.getElementById("confirm_password");
        var toggleIcon = document.getElementById("togglePassword1");
        if (passwordField.type === "password") {
            passwordField.type = "text";
            toggleIcon.classList.remove("fa-eye-slash");
            toggleIcon.classList.add("fa-eye");
        } else {
            passwordField.type = "password";
            toggleIcon.classList.remove("fa-eye");
            toggleIcon.classList.add("fa-eye-slash");
        }
    }
</script>
