@extends('frontend.layout.applayout')
@section('title', 'Request-Signup')
@section('main-content')
    <div class="container secs">
        <div class="mx-auto col-lg-5 col-md-11 rounded shadow">
            <div class="login_box">
                <h2 class="text-center text-green fw-bold mb-4">Request For Creating Account</h2>
                <form action="{{ route('customer.store') }}" method="post">
                    @csrf
                    <div class="row">
                        <input type="hidden" class="form-control" placeholder="Customer ID" name="customer_id"
                            value="{{ $newCustomerId }}">
                        <div class="col">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" placeholder="Company name" name="company_name"
                                    id="floatingInputName" aria-label="First name" value="{{ old('company_name') }}">
                                <label for="floatingInputName">Company name</label>
                                @error('company_name')
                                    <span style="font-size:12px;color:red;">{{ $message }}</span>
                                @enderror
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" placeholder="person_name" name="contact_person"
                                    id="floatingInputLName" aria-label="First name" value="{{ old('contact_person') }}">
                                <label for="floatingInputLName">Contact Person name</label>
                                @error('contact_person')
                                    <span style="font-size:12px;color:red;">{{ $message }}</span>
                                @enderror
                            </div>
                        </div>
                    </div>
                    <div class="form-floating mb-3">
                        <input type="tel" class="form-control" id="floatingInput" name="phone" placeholder="Phone"
                            value="{{ old('phone') }}">
                        <label for="floatingInput">Phone</label>
                        @error('phone')
                            <span style="font-size:12px;color:red;">{{ $message }}</span>
                        @enderror
                    </div>
                    <div class="form-floating mb-3">
                        <input type="email" class="form-control" id="floatingInput" name="email" placeholder="email"
                            value="{{ old('email') }}">
                        <label for="floatingInput">Email</label>
                        @error('email')
                            <span style="font-size:12px;color:red;">{{ $message }}</span>
                        @enderror
                    </div>
                    <div class="form-floating mb-3">
                        <input type="password" class="form-control input-password" name="password" placeholder="Password">
                        <label for="floatingPassword">Password</label>
                        <span class="login-pass toggle-password"><i class='bx bx-hide'></i></span>
                        @error('password')
                            <span style="font-size:12px;color:red;">{{ $message }}</span>
                        @enderror
                    </div>
                    <div class="form-floating mb-3">
                        <input type="password" class="form-control input-password" name="conf_password"
                            placeholder="Password">
                        <label for="floatingPassword">Confirm password</label>
                        <span class="login-pass toggle-password"><i class='bx bx-hide'></i></span>
                        @error('conf_password')
                            <span style="font-size:12px;color:red;">{{ $message }}</span>
                        @enderror
                    </div>

                    <div class="col-auto text-center">
                        <button type="submit" class="btn view-all my-3">Signup</button>
                    </div>
                </form>
                <hr>

                <div class="col-md-11 pt-3 mx-auto">
                    {{-- <a href="" class="sign-up view-all d-block" style="background:#db4437">
                    <i class='bx bxl-google me-1'></i> Sign up with <b>Google</b>
                </a> --}}

                    <p class="text-center mt-4 mb-0">Already having Credentials? <a href="{{route('customer.login')}}"> Login</a></p>
                </div>
            </div>
        </div>
    </div>
@endsection
