@extends('frontend.layout.applayout')
@section('title', 'Profile')
@section('main-content')
    <div class="container">
        <nav aria-label="breadcrumb" class="container">
            <ol class="breadcrumb mb-0">
                <li class="breadcrumb-item"><a href="{{ url('/') }}">Home</a></li>
                <li class="breadcrumb-item active" aria-current="page">My Account</li>
            </ol>
        </nav>
        <h2 class="brd_heading mt-4 mb-4">Welcome [{{ $customer->contact_person }}]</h2>
        <div class="row">
            <div class="col-lg-4">
                @include('components.customer-profile')
            </div>

            <div class="col-lg-8">
                
                <div class="add_box">
                    <h3>My account details</h3>
                    <hr>
                    <div class="row">
                        <div class="col-lg-12">
                            <form action="{{ route('customer.update.profile') }}" method="POST">
                                @csrf
                                <div class="mb-3">
                                    <label class="form-label">Company Name</label>
                                    <input type="text" name="company_name" class="form-control"
                                        value="{{ $customer->company_name }}" placeholder="company Name">
                                    @error('company_name')
                                        <span style="font-size: 13px;color:red;">{{ $message }}</span>
                                    @enderror
                                </div>
                                <div class="mb-3">
                                    <label class="form-label">Person Name</label>
                                    <input type="text" name="contact_person" class="form-control"
                                        value="{{ $customer->contact_person }}" placeholder="person Name">
                                    @error('contact_person')
                                        <span style="font-size: 13px;color:red;">{{ $message }}</span>
                                    @enderror
                                </div>
                                <div class="mb-3">
                                    <label class="form-label">Email</label>
                                    <input type="email" name="email" class="form-control" value="{{ $customer->email }}"
                                        placeholder="example@gmail.com">
                                    @error('email')
                                        <span style="font-size: 13px;color:red;">{{ $message }}</span>
                                    @enderror
                                </div>
                                <!-- input -->
                                <div class="mb-4">
                                    <label class="form-label">Phone</label>
                                    <input type="text" inputmode="numeric" name="phone" maxlength="15"
                                        oninput="this.value = this.value.replace(/\D/g, '')" class="form-control"
                                        value="{{ $customer->phone }}" placeholder="Phone number">
                                    @error('phone')
                                        <span style="font-size: 13px;color:red;">{{ $message }}</span>
                                    @enderror
                                </div>
                                <div class="mb-3">
                                    <button type="submit" class="btn view-all">Save Details</button>
                                </div>
                            </form>
                        </div>
                    </div>
                    <hr class="my-5">
                    <div class="pe-lg-14">
                        <h3 class="mb-4">Password</h3>
                        <form method="post" action="{{ route('customer.reset.password') }}"
                            class="row row-cols-1 row-cols-lg-2">
                            @csrf
                            <div class="mb-3 col">
                                <label class="form-label">New Password</label>
                                <input type="password" name="new_password" class="form-control" placeholder="**********">
                                @error('new_password')
                                    <span style="font-size: 13px;color:red;">{{ $message }}</span>
                                @enderror
                            </div>
                            <div class="mb-3 col">
                                <label class="form-label">Confirm Password</label>
                                <input type="password" name="conf_password" class="form-control" placeholder="**********">
                                @error('conf_password')
                                    <span style="font-size: 13px;color:red;">{{ $message }}</span>
                                @enderror
                            </div>
                            <div class="col-12">
                                <button type="submit" class="btn view-all">Save Password</button>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>
    </div>
@endsection
