@extends('frontend.layout.applayout')
@section('title', 'Become Vendor')
@section('main-content')
    <div class="container secs">
        <div class="mx-auto col-lg-5 col-md-11 rounded shadow">
            <div class="login_box">
                <h2 class="text-center text-green fw-bold mb-4">Vendor Enquiry Form</h2>
                <form action="{{ route('guest.vendor') }}" method="post">
                    @csrf
                    <div class="row">
                        <div class="col">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" placeholder="Enter First name" name="firstname"
                                    id="firstname" aria-label="First name" value="">
                                <label for="floatingInputName">First name<span class="text-danger">*</span></label>
                                @error('firstname')
                                    <span style="color: red; font-size:13px;">{{ $message }}</span>
                                @enderror
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" placeholder="Enter Last name" name="lastname"
                                    id="lastname" aria-label="last name" value="">
                                <label for="floatingInputLName">Last Name<span class="text-danger">*</span></label>
                                @error('lastname')
                                    <span style="color: red; font-size:13px;">{{ $message }}</span>
                                @enderror
                            </div>
                        </div>
                    </div>
                    <div class="form-floating mb-3">
                        <input type="text" class="form-control" id="company_name" name="company_name"
                            placeholder="Enter Company name" value="">
                        <label for="floatingInput">Company Name<span class="text-danger">*</span></label>
                        @error('company_name')
                            <span style="color: red; font-size:13px;">{{ $message }}</span>
                        @enderror
                    </div>
                    <div class="row">
                        <div class="col">
                            <div class="form-floating mb-3">
                                <input type="email" class="form-control" id="floatingInput" name="email"
                                    placeholder="email" value="">
                                <label for="floatingInput">Email<span class="text-danger">*</span></label>
                                @error('email')
                                    <span style="color: red; font-size:13px;">{{ $message }}</span>
                                @enderror
                            </div>
                        </div>
                        <div class="col">
                            <div class="form-floating mb-3">
                                <input type="text" class="form-control" name="phone" placeholder="Enter Phone">
                                <label for="floatingInput">Phone<span class="text-danger">*</span></label>
                                @error('phone')
                                    <span style="color: red; font-size:13px;">{{ $message }}</span>
                                @enderror
                            </div>
                        </div>
                    </div>

                    <div class="form-group mb-3">
                        <label for="comments">Comments </label>
                        <textarea name="comments" id="comments" class="form-control" rows="4" placeholder="Your message"></textarea>
                    </div>

                    <div class="col-auto text-center">
                        <button type="submit" class="btn view-all my-3">Submit</button>
                    </div>
                </form>
                <hr>


            </div>
        </div>
    </div>
@endsection
