<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Order Price Update</title>
    <style>
        body {
            font-family: Arial, Helvetica, sans-serif;
            background-color: #f4f4f4;
            margin: 0;
            padding: 20px;
        }

        .email-container {
            max-width: 680px;
            background-color: #ffffff;
            border: 1px solid #7c79e8;
            padding: 20px;
            margin: 0 auto;
        }

        h1,
        p {
            color: #333333;
        }

        .header-section {
            display: flex;
            justify-content: flex-start; 
            align-items: center;
            padding: 10px 0;
        }

        .header-section img {
            width: 120px;
            height: auto;
        }

        .order-number {
            font-size: 22px;
            color: #92a2e5;
            text-align: right;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin: 20px 0;
        }

        th,
        td {
            padding: 10px;
            text-align: center;
            border: 1px solid #ebebeb;
        }

        th {
            background-color: #92a2e5;
            color: #ffffff;
            font-size: 14px;
        }

        td {
            background-color: #f6f6f6;
            color: #333;
            font-size: 12px;
        }

        tfoot td {
            background-color: #f6f6f6;
            font-weight: bold;
        }

        .grand-total {
            background-color: #f6f6f6;
            text-align: right;
        }
    </style>
</head>

<body>
    <p>Dear {{ $order->customer_name }},</p>

    <p>We wanted to let you know that the price for your order #{{ $order->id }} has been updated with new discounts.
        Here are the updated details:</p>

    <div class="email-container">
        <div class="header-section">
            <img src="{{ asset('admin/assets/images/versova_logo.jpeg') }}" alt="Company Logo">
            <span class="order-number">   Price Updated for Order Number: #VS-{{ $order->id }}</span>
        </div>


        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Quantity</th>
                    <th>Original Price</th>
                    <th>Discount</th>
                    <th>Total Price</th>
                </tr>
            </thead>
            <tbody>
                @foreach ($order->items as $item)
                    <tr>
                        <td>{{ $item->name }}</td>
                        <td>{{ $item->quantity }}</td>
                        <td>${{ number_format($item->price, 2) }}</td>
                        <td>${{ number_format($item->discount, 2) }}</td>
                        <td>${{ number_format($item->total_amount, 2) }}</td>
                    </tr>
                @endforeach
            </tbody>
            <tfoot>
                <tr>
                    <td colspan="4" class="grand-total">Grand Total</td>
                    <td>${{ number_format($order->grand_total, 2) }}</td>
                </tr>
            </tfoot>
        </table>

        <p>Thank you for shopping with us!</p>
    </div>

</body>

</html>
