<!DOCTYPE html>
<html lang="en">

<head>

    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Versova - Sales Representative</title>
    <meta name="csrf-token" content="{{ csrf_token() }}">
    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/css/bootstrap.min.css" rel="stylesheet"
        crossorigin="anonymous">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.6.3/jquery.min.js" crossorigin="anonymous"
        referrerpolicy="no-referrer"></script>
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/toastr.js/latest/toastr.min.css">
    <link href="{{ asset('frontend/assets/flash.min.css') }}" rel="stylesheet">
    <link rel="stylesheet" href="{{ asset('sales/css/style.css') }}">
    <link rel="preconnect" href="https://fonts.googleapis.com">
    <link rel="preconnect" href="https://fonts.gstatic.com" crossorigin>
    <link href="https://fonts.googleapis.com/css2?family=Mulish:ital,wght@0,200..1000;1,200..1000&display=swap"
        rel="stylesheet">
    <style>
        .active>.page-link,
        .page-link.active {
            z-index: 3;
            color: #FFFEFE;
            background-color: #43a047;
            border-color: #43a047;
        }


        a {
            text-decoration: none;
        }

        .panel {
            border-radius: 10px;
            width: 100%;
            margin-bottom: 20px;

        }

        .panel-heading {
            padding: 30px 20px;
            color: #fff;
            border-bottom: 1px solid #fff;
            height: 120px;
        }

        .panel-heading i {
            font-size: 40px;
            /* opacity: .6; */
        }

        .huge {
            font-size: 35px;
        }

        .task {
            font-size: 15px;
            font-weight: 500;
            text-transform: uppercase;
        }

        .panel-footer {
            padding: 12px 20px 0 20px;
            border: 1px solid #e1e1e1;
            border-top: none;
            border-radius: 0 0 10px 10px !important;
        }

        .panel-footer p {
            font-weight: 400;
            line-height: 1;
        }

        .dark-blue {
            background-color: #256834 !important;
        }

        .footer-sec {
            width: 100%;
            text-align: center;
            background-color: #f8f8f8;
        }

        @media (min-width: 1700px) {

            .container,
            .container-lg,
            .container-md,
            .container-sm,
            .container-xl,
            .container-xxl {
                max-width: 2400px !important;
            }
        }

        .chng-btn {
            outline: 1px solid #e1e1e1;
            position: absolute;
            top: 25px;
            left: 85px;
            font-size: 12px;

        }
    </style>
    <style>
        .footer-sec {
            position: absolute;
            bottom: 0;
            width: 100%;
            text-align: center;
            background-color: #fff;
        }
    </style>

</head>

<body>
    @include('sales.layout.header')
    @if (session('message'))
        <div id="cart-success-message" class="alert alert-success" style="display: none;">
            {{ session('message') }}
        </div>
    @endif


    @yield('main')
    <script src="https://code.jquery.com/jquery-3.6.0.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.2.3/dist/js/bootstrap.bundle.min.js" crossorigin="anonymous">
    </script>
    <script src="https://cdn.jsdelivr.net/npm/sweetalert2@11"></script>
    <script src="{{ asset('frontend/assets/flash.min.js') }}"></script>
    <script src="{{ asset('sales/js/cart.js') }}"></script>

    <script>
        document.addEventListener('DOMContentLoaded', () => {
            const navLinks = document.querySelectorAll('.nav-link'); // Select all navigation links
            const currentUrl = window.location.href; // Get the current page URL

            navLinks.forEach(link => {
                link.classList.remove('active');
                if (currentUrl === link.href) {
                    link.classList.add('active'); // Add 'active' class to the matching link
                }
            });
        });
    </script>

    <script>
        $(document).ready(function() {
            $(".alert").fadeTo(2000, 500).slideUp(500, function() {
                $(".alert").slideUp(300);
            });
        })
    </script>


    <script>
        addToCartButton = document.querySelectorAll(".add-to-cart-button");

        document.querySelectorAll('.add-to-cart-button').forEach(function(addToCartButton) {
            addToCartButton.addEventListener('click', function() {
                addToCartButton.classList.add('added');
                setTimeout(function() {
                    addToCartButton.classList.remove('added');
                }, 2000);
            });
        });
    </script>
    <script>
        $(document).ready(function() {
            $.ajaxSetup({
                headers: {
                    'X-CSRF-TOKEN': $('meta[name="csrf-token"]').attr('content')
                }
            });

            function updateCartCount() {
                $.ajax({
                    url: '{{ route('sales.get.cart.count') }}',
                    method: 'GET',
                    success: function(response) {

                        if (response && response.count !== undefined) {

                            $('#cart-count').text(response.count);
                        } else {
                            console.error('Unexpected response:', response);
                        }
                    },
                    error: function() {
                        console.error('Error fetching cart count');
                    }
                });
            }

            updateCartCount();

            $('#btnAddToCart').on('click', function() {
                updateCartCount();
            });
        });
    </script>


    </main>
</body>

</html>
