<header class="sticky-top">
    <nav class="navbar navbar-expand-lg bg-white shadow-sm ">
        <div class="container">
            <a class="navbar-brand" href="" contenteditable="false" style="cursor: pointer;">

                <img src="{{ asset('admin/assets/images/versova_logo.jpeg') }}" class="site-logo" alt="">
            </a>
            <button class="navbar-toggler" type="button" data-bs-toggle="collapse"
                data-bs-target="#navbarSupportedContent" aria-controls="navbarSupportedContent" aria-expanded="false"
                aria-label="Toggle navigation">
                <span class="navbar-toggler-icon"></span>
            </button>
            <div class="collapse navbar-collapse" id="navbarSupportedContent">
                <ul class="navbar-nav mx-auto mb-2 mb-lg-0 mainUl" id="nav-menu">
                    <li class="nav-item">

                        <a class="nav-link" href="{{ route('sales.dashboard') }}">
                            <i class="far fa-tachometer"></i> Dashboard
                        </a>

                    <li class="nav-item">

                        <a class="nav-link" href="{{ route('sales.customers') }}" contenteditable="false"
                            style="cursor: pointer;">
                            <i class="fal fa-users"></i>
                            Customers</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link " href="{{ route('sales.orders') }}" contenteditable="false"
                            style="cursor: pointer;">
                            <i class="fal fa-cart-plus"></i>
                            Orders</a>
                    </li>
                    <li class="nav-item">
                        <a class="nav-link" href="{{ route('sales.reports') }}" contenteditable="false"
                            style="cursor: pointer;">
                            <i class="fal fa-file-chart-line"></i>
                            Reports</a>
                    </li>
                    <li class="nav-item position-relative mt-1">
                        Customer: <span style="color:#1a4f50;">&nbsp;
                            <strong id="selectedCustomerName">{{ session('selectedCustomerName', 'None') }}</strong>
                        </span>
                        <a class="chng-btn" data-bs-toggle="modal" href="#customerChangeModal" data-bs-backdrop="static"
                            data-bs-keyboard="false" role="button" style="cursor: pointer;">
                            Change
                        </a>
                    </li>
                </ul>
                <div class="d-flex">
                    <ul class="navbar-nav mb-lg-0 bg-white">
                        <li class="nav-item mt-3">
                            <a href="{{ route('sales.carts') }}" class="text-dark" style="cursor: pointer;">
                                <div class="cart">
                                    <div class="cart-count" id="cart-count">0</div>
                                    <i class="fal fa-shopping-cart"></i>
                                </div>
                            </a>
                        </li>


                        <li class="nav-item dropdown" id="profile-1">
                            <a class="nav-link dropdown-toggle d-flex" href="#" role="button"
                                data-bs-toggle="dropdown" aria-expanded="false" contenteditable="false"
                                style="cursor: pointer;">
                                <div class="profile">
                                    <img src="{{ asset('sales/profile.jpeg') }}" alt="">
                                </div>
                            </a>
                            <ul class="dropdown-menu">
                                <li>
                                    <a class="dropdown-item" href="{{ route('sales.logout') }}"
                                        onclick="return confirm('Do you want to logout');" contenteditable="false"
                                        style="cursor: pointer;">
                                        <i class="far fa-sign-out mr-4"></i>
                                        Logout</a>
                                </li>
                            </ul>
                        </li>
                    </ul>
                </div>
            </div>
        </div>
    </nav>
</header>
<div class="modal fade" id="customerChangeModal" data-bs-backdrop="static" data-bs-keyboard="false" aria-hidden="true"
    aria-labelledby="exampleModalToggleLabel" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content p-4">
            <div class="modal-body">
                <p>Are You Sure you want to change the Customers ?</p>
            </div>
            <div class="modal-footer">
                <button class="btn btn-primary" data-bs-target="#exampleModalToggle2" data-bs-toggle="modal"
                    data-bs-dismiss="modal">yes</button>
                <button type="button" class="btn btn-danger" data-bs-dismiss="modal" aria-label="Close">No</button>
            </div>
        </div>
    </div>
</div>
<div class="modal fade" id="exampleModalToggle2" data-bs-backdrop="static" data-bs-keyboard="false"
    aria-hidden="true" aria-labelledby="exampleModalToggleLabel2" tabindex="-1">
    <div class="modal-dialog">
        <div class="modal-content">
            <div class="modal-header">
                <h5 class="modal-title" id="exampleModalToggleLabel2">Change Customer</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
            <div class="modal-body py-4 px-4">
                <label for="changeCustomer">Select Customer</label>
                <select class="form-select customers_iddd" aria-label="Default select example">
                    <!-- Options will be populated by JavaScript -->
                </select>
            </div>
            <div class="modal-footer">
                <!-- Footer content if needed -->
            </div>
        </div>
    </div>
</div>



<script>
    $(document).ready(function() {
        var storedCustomerID = localStorage.getItem("selectedCustomerID");
        var storedCustomerName = localStorage.getItem("selectedCustomerName");

        if (storedCustomerID && storedCustomerName) {
            $("#selectedCustomerName").text(storedCustomerName);
            $(".customers_iddd").val(storedCustomerID);
        }

        $.ajax({
            url: '{{ route('sales.getcustomers') }}',
            type: 'GET',
            success: function(data) {
                $('.customers_iddd').empty();
                $('.customers_iddd').append('<option value="">Select a Customer</option>');
                $.each(data, function(index, relation) {
                    if (relation.customers) {
                        $('.customers_iddd').append(
                            `<option value="${relation.customers.id}">${relation.customers.contact_person}</option>`
                        );
                    }
                });

                if (storedCustomerID) {
                    $(".customers_iddd").val(storedCustomerID);
                }
            },
            error: function(xhr, status, error) {
                console.log("Error fetching customers: " + error);
                alert("An error occurred while fetching customers.");
            }
        });

        $(".customers_iddd").on('change', function() {
            var customer_id = $(this).val();
            var customer_name = $(this).find("option:selected").text();

            if (customer_id) {
                $.ajax({
                    url: '{{ route('sales.storeCustomerInSession') }}',
                    type: 'POST',
                    data: {
                        customer_id: customer_id,
                        customer_name: customer_name,
                        _token: '{{ csrf_token() }}'
                    },
                    success: function(response) {
                        if (response.success) {
                            localStorage.setItem("selectedCustomerID", customer_id);
                            localStorage.setItem("selectedCustomerName", customer_name);

                            $("#selectedCustomerName").text(customer_name);

                            window.location.href = "{{ route('sales.products') }}" +
                                "?customer_id=" + customer_id;
                        } else {
                            alert(response.message);
                        }
                    },
                    error: function(xhr, status, error) {
                        console.error("Error storing customer in session: ", error);
                        alert("An error occurred while storing the customer.");
                    }
                });
            } else {
                alert("No customer selected. Please try again.");
            }
        });


    });
</script>
