<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Sales-login</title>
    <link rel="stylesheet" href="https://pro.fontawesome.com/releases/v5.10.0/css/all.css" />
    <link href="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/css/bootstrap.min.css" rel="stylesheet">
</head>

<style>
    * {
        padding: 0;
        margin: 0;
        box-sizing: border-box;
    }

    .bg-theme {
        background-color: rgb(178, 215, 178);
    }

    /* .login-form-page{
  height:100vh;
  background:#e9eef7;
  font-family:sans-serif;
} */

    /* .spContainer{
  width:100%;
  max-width: 600px;
} */

    .login-card {
        border-radius: 8px;
        transition: .25s;
        padding: 40px 50px 20px 50px;
        border: none;
        background-color: #fff;
    }

    .login-form-logo {
        display: flex;
        justify-content: center;
        margin-bottom: 15px;
    }


    .login-form-section .form-group {
        padding: 0px 0px 10px 0px;
    }

    .login-form-section form label {
        font-size: 16px;
    }

    .login-form-section form input {
        background-color: #fff;
        border: none;
        transition: .25s;
        border-radius: 4px;
        margin-top: 10px;
        padding: 12px;
        font-size: 14px;
        border: 1px solid #333;
    }

    .login-form-section form input:focus {
        box-shadow: none;
        background-color: #F9F3E3;
    }

    .login-form-section form .form-check-label {
        font-size: 14px;
        margin: 10px 0px 0px 4px;
    }

    .login-form-section form .forgot-text {
        font-size: 14px;
        color: #000;
    }

    .login-page-btn {
        width: 100%;
        background: green;
        margin-top: 15px;
        padding: 14px;
        border-radius: 8px;
        font-size: 18px;
        color: #fff;
        border: none;
    }

    .login-bottom-part a {
        color: #FFAC0D;
    }

    .login-bottom-part {
        text-align: center;
        margin-top: 20px;
    }

    .fa-eye {
        position: absolute;
        top: 50%;
        right: 4%;
        cursor: pointer;
        color: #292929;
    }

    .password-input {
        position: relative;
    }

    /* mobile responsive */

    @media only screen and (max-width: 600px) {

        .login-form-logo img {
            width: 40%;
            height: auto;
        }

        .login-card {
            padding: 30px 25px 30px 25px;
        }

        .login-btn-group {
            row-gap: 20px;
        }

        .login-btn-group button {
            width: 100%;
        }

        .remember-forgot-text .form-check .form-check-label {
            font-size: 13px;
        }

        .remember-forgot-text .forgot-text {
            font-size: 13px !important;
        }

    }
</style>

<body class="bg-theme">
    <section class="login-form-page">
        <div class="container">
            <div class="row d-flex justify-content-center align-items-center">
                <div class="col-lg-5 mt-5 pt-5">


                    <div class="login-form-logo">
                        <a href=""><img src="assets/img/binge-login-logo.png" alt=""
                                class="img-fluid"></a>
                    </div>
                    <div class="login-card">
                        <div class="mb-4">
                            <h3>Sales Login</h3>
                        </div>
                        <div class="row login-btn-group">
                        </div>
                        <div class="login-form-section m-auto">
                            <form action="<?php echo e(route('sales.login')); ?>" method="post">
                                <?php echo csrf_field(); ?>
                                <div class="form-group">
                                    <lable for="name">Email</lable>
                                    <input class="form-control text-input-filed" id="email" type="email"
                                        name="email" value="" required>
                                    <?php $__errorArgs = ['email'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <div class="text-danger ps-0 mb-2" style="font-size: 13px;"><?php echo e($message); ?>

                                        </div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                                <div class="form-group password-input">
                                    <lable for="name">Password</lable>
                                    <input class="form-control inpSp" type="password" id="password" required
                                        name="password"><i class="fas fa-eye togglePassword"></i>
                                    <?php $__errorArgs = ['password'];
$__bag = $errors->getBag($__errorArgs[1] ?? 'default');
if ($__bag->has($__errorArgs[0])) :
if (isset($message)) { $__messageOriginal = $message; }
$message = $__bag->first($__errorArgs[0]); ?>
                                        <div class="text-danger ps-0 mb-2" style="font-size: 13px;"><?php echo e($message); ?>

                                        </div>
                                    <?php unset($message);
if (isset($__messageOriginal)) { $message = $__messageOriginal; }
endif;
unset($__errorArgs, $__bag); ?>
                                </div>

                                <div class="remember-forgot-text">

                                </div>
                                <button class="login-page-btn" type="submit">Login</button>

                            </form>

                            <div class="login-bottom-part">

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </section>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/3.3.1/jquery.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/@popperjs/core@2.11.7/dist/umd/popper.min.js"></script>
    <script src="https://cdn.jsdelivr.net/npm/bootstrap@5.3.0-alpha3/dist/js/bootstrap.min.js"></script>
    <script>
        $(document).ready(function() {
            $(".togglePassword").on('click', function() {
                const password = document.querySelector("#password");
                const type = password.getAttribute('type') === 'password' ? 'text' : 'password';
                password.setAttribute('type', type);
                this.classList.toggle('fa-eye-slash');
            });
        });
    </script>
</body>

</html>
<?php /**PATH /home/wwwversova/public_html/beta/resources/views/sales/auth/login.blade.php ENDPATH**/ ?>