<!DOCTYPE html>
<html lang="en">

<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Order Price Update</title>
    <style>
        body {
            font-family: Arial, Helvetica, sans-serif;
            background-color: #f4f4f4;
            margin: 0;
            padding: 20px;
        }

        .email-container {
            max-width: 680px;
            background-color: #ffffff;
            border: 1px solid #7c79e8;
            padding: 20px;
            margin: 0 auto;
        }

        h1,
        p {
            color: #333333;
        }

        .header-section {
            display: flex;
            justify-content: space-between;
            align-items: center;
            padding: 10px 0;
        }

        .header-section img {
            width: 120px;
            height: auto;
        }

        .order-number {
            font-size: 22px;
            color: #92a2e5;
            text-align: right;
        }

        table {
            width: 100%;
            border-collapse: collapse;
            margin: 20px 0;
        }

        th,
        td {
            padding: 10px;
            text-align: center;
            border: 1px solid #ebebeb;
        }

        th {
            background-color: #92a2e5;
            color: #ffffff;
            font-size: 14px;
        }

        td {
            background-color: #f6f6f6;
            color: #333;
            font-size: 12px;
        }

        tfoot td {
            background-color: #f6f6f6;
            font-weight: bold;
        }

        .grand-total {
            background-color: #f6f6f6;
            text-align: right;
        }
    </style>
</head>

<body>
    <p>Dear <?php echo e($order->salecustomer->contact_person); ?>,</p>

    <p>We wanted to let you know that the price for your order #<?php echo e($order->id); ?> has been updated with new discounts.
        Here are the updated details:</p>

    <div class="email-container">
        <div class="header-section">
            <img src="<?php echo e(asset('admin/assets/images/versova_logo.jpeg')); ?>" alt="Company Logo">
            <span class="order-number" style="align-content: center">   Price Updated for Order Number: #VS-<?php echo e($order->id); ?>


            </span>
        </div>


        <table>
            <thead>
                <tr>
                    <th>Name</th>
                    <th>Quantity</th>
                    <th>Original Price</th>
                    <th>Discount</th>
                    <th>Total Price</th>
                </tr>
            </thead>
            <tbody>
                <?php $__currentLoopData = $order->saleitems; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $item): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                    <tr>
                        <td><?php echo e($item->name); ?></td>
                        <td><?php echo e($item->quantity); ?></td>
                        <td>$<?php echo e(number_format($item->price, 2)); ?></td>
                        <td>$<?php echo e(number_format($item->discount, 2)); ?></td>
                        <td>$<?php echo e(number_format($item->total_amount, 2)); ?></td>
                    </tr>
                <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
            </tbody>
            <tfoot>
                <tr>
                    <td colspan="4" class="grand-total">Grand Total</td>
                    <td>$<?php echo e(number_format($order->grand_total, 2)); ?></td>
                </tr>
            </tfoot>
        </table>

        <p>Thank you for shopping with us!</p>
    </div>

</body>

</html>
<?php /**PATH /home/wwwversova/public_html/beta/resources/views/mail/sales-discountupdated.blade.php ENDPATH**/ ?>